First Touch Kit - Compatibility with Windows Vista x64

Question: My PC running with 64 bit Windows Vista does not detect the Psoc First Touch kit as a USB device.  How can I solve this problem?

 

Answer:

If the First Touch kit is being used with PSoC Express 3.0 then it will not be identified by 64 bit Windows Vista, because PSoC Express 3.0 does not support Windows Vista x64.  Please upgrade to the latest version PSoC Designer 5.0 which supports both 32 bit and 64 bit versions of Windows Vista.